PHPExcel

# Class: LMQuadTest

Source Location: /PHPExcel/Shared/JAMA/examples/LMQuadTest.php

### Class Overview

quadratic (p-o)'S'S(p-o)

### Methods

- grad
- initial
- testdata
- val

### Class Details

[line 7]
quadratic (p-o)'S'S(p-o)

solve for o, S S is a single scale factor

[ Top ]

### Class Methods

### method grad [line 44]

`void grad( array[] $x, array[] $a, int $a_k)`

z = (p-o)'S'S(p-o) dz/dp = 2S'S(p-o)

z = (s*(px-ox))^2 + (s*(py-oy))^2 dz/dox = -2(s*(px-ox))*s dz/ds = 2*s*[(px-ox)^2 + (py-oy)^2]

z = (s*dx)^2 + (s*dy)^2 dz/ds = 2(s*dx)*dx + 2(s*dy)*dy

#### Parameters:

array[] | $x |
array[] | $a |
int | $a_k |

[ Top ]

### method initial [line 68]

`array[] initial( )`

[ Top ]

### method testdata [line 80]

`Object[] testdata( )`

[ Top ]

### method val [line 13]

`void val( array[] $x, array[] $a)`

#### Parameters:

array[] | $x |
array[] | $a |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:35 +0200 by phpDocumentor 1.4.4